Returns the WaaS policy for the specified environment.
GET
/
environments
/
{environmentId}
/
waas
/
policies
Get the WAAS policy for an environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policyId": "<string>",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"policyContent": [
{
"name": "<string>",
"ruleType": "allow",
"chain": "EVM",
"ruleId": "95b11417-f18f-457f-8804-68e361f9164f",
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"addresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"chainId": 123,
"chainIds": [
123
],
"contractAbi": [
{}
],
"functionName": "<string>",
"argumentConstraints": [
{
"operator": "equal",
"value": "<unknown>",
"index": 1
}
],
"valueLimit": {
"asset": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"maxPerCall": "<string>",
"totalLimit": "<string>"
},
"operationRestrictions": {
"blockExport": true,
"blockRevocation": true,
"blockClientSigning": true
},
"disableBlockaidSecurityChecks": true,
"modifiableBySigner": true
}
],
"message": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Not Found",
"code": "not_found"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
WAAS policy fetched successfully
Unique identifier for the wallet policy
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
ISO 8601 timestamp of when the policy was created
ISO 8601 timestamp of when the policy was last updated
List of policy rule objects defining allowed or denied wallet operations
Show child attributes
Show child attributes
Message describing the operation result
Last modified on January 28, 2026
Was this page helpful?
⌘I
Get the WAAS policy for an environment
